package market.Cm.mapper;
import java.util.HashMap;
import java.util.List;

import market.Cm.vo.CmMonthBaseCost;

import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import com.hnshituo.orm.GenericMapper;

@SuppressWarnings("rawtypes")
public interface CmMonthBaseCostMapper extends GenericMapper<CmMonthBaseCost,Object> {
	
	@Delete("${sql}")
	public void doDeleteCmMonthBaseCost(@Param("sql")String sql);
	
	@Select("${sql}")
	public List<HashMap> doQueryWeekCost(@Param("sql")String sql);
	
	
	public List<HashMap> doQueryWeekCostDetail(String condition);
	
	public List<HashMap> doQueryWeekSalePross(String condition);
}
